== Changelog ==

= 7.1.4 =
Release Date: August 28th, 2026

* [Added] Custom Field column: the counting field type is split into "Number of Values", which counts the values within one custom field and no longer always shows 1, and "Number of Fields", which counts how often the field is stored and is the sortable one of the two. Existing columns become "Number of Values".
* [Fixed] A fatal error occurred when the property of a Parent column was set to a custom field with the Color, Date, HTML or True / False field type.
* [Fixed] Custom Field column: a Date field set to "Auto Detect" showed an empty cell on the Parent column.

= 7.1.3 =
Release Date: August 20th, 2026

* [Fixed] Row selection, the value modal and the responsive table layout broke on WordPress 7.1, because the primary column is now rendered as a table header cell and the checkbox column as a table cell.

= 7.1.2 =
Release Date: August 10th, 2026

* [Fixed] Prevented a fatal error when a column configuration contained corrupt serialized data.

= 7.1.1 =
Release Date: July 8th, 2026

* [Improved] Better HtmlEntityDecoder for Column Value formatters

= 7.1 =
Release Date: June 29th, 2026

* [Improved] Updated admin columns styling to align with the new WordPress 7 design.
* [Improved] Smarter column width handling.
* [Improved] Modernized the codebase with strict types, PHPStan type safety, and PSR-12 coding standards.
* [Improved] User custom field context is now available in the free Meta column.
* [Improved] Image columns now recognize SVG and AVIF URLs.
* [Updated] The minimum version required to run Admin Columns is now WordPress 6.2.
* [Fixed] Fixed an incorrect `add_submenu_page` call.

= 7.0.20 =
Release Date: June 16th, 2026

* [Fixed] JavaScript error on the table item count in locales using an apostrophe thousands separator.

= 7.0.19 =
Release Date: May 29th, 2026

* [Fixed] Hardened custom field value deserialization to improve validation of serialized data handling.

= 7.0.18 =
Release Date: May 19th, 2026

* [Improved] The "Show edit columns" setting now also applies to the WP Admin Bar

= 7.0.17 =
Release Date: May 11th, 2026

* [Fixed] Material icons failing to render when CSS bundlers concatenated stylesheets due to a missing trailing semicolon after the `@layer` declaration in `acui.css`.
* [Updated] Axios updated to the latest version.

= 7.0.16 =
Release Date: April 17th, 2026

* [Fixed] Fixed a critical error on sites where the PHP mbstring extension is not available.
* [Fixed] Fixed a UI issue in the ACF field settings tab where inline scripts interfered with the page rendering.

= 7.0.15 =
Release Date: April 14th, 2026

* [Improved] Various improvements to ACF field setting support.

= 7.0.14 =
Release Date: March 31st, 2026

* [Added] ACF field settings tab to add fields as admin columns directly from the field group editor.
* [Added] Column editor now scrolls to the opened column when linked from ACF field settings.
* [Added] Word Count columns now support Before & After text to prepend or append custom text around the count.
* [Added] Custom field column settings now display the meta key for reference.
* [Added] ACF date save format option for custom field date columns.
* [Improved] File columns now group attachments by file type and display multiple filenames separated by commas.
* [Improved] Refreshed column settings sidebar with updated review and support panels.
* [Improved] Improved Before & After display options UI.
* [Fixed] Fixed the post link option not appearing for most property types in the Comment Post column.
* [Fixed] Fixed the post link option not appearing for most property types in the User First Post and Last Post columns.
* [Fixed] Fixed a potential error in user property columns when the display setting has not been saved yet.
* [Fixed] Fixed "Default" option duplicating in the primary column preference dropdown.
* [Fixed] Fixed template creation showing a success notification even when it failed.
* [Fixed] Fixed media custom field columns not supporting multiple file uploads.

= 7.0.12 =
Release Date: March 16th, 2026

* [Added] New "Auto Detect" option for the date save format setting.
* [Added] New "File Display" setting for file columns with filename and preview options.
* [Added] New `ac/init` action hook for accessing the DI container after plugin initialization.
* [Improved] The Title Only column on the Media list table now displays both the post title and the filename.
* [Improved] Before/After text settings now correctly apply to ID columns.
* [Fixed] Fixed dropdown menus closing unexpectedly when clicked.
* [Fixed] Fixed potential errors when displaying columns for deleted posts, users, or terms.
* [Fixed] Resolved errors and deprecation warnings when running on PHP 8.4.

= 7.0.11 =
Release Date: March 2nd, 2026

* [Added] Long value lists (e.g. taxonomies, relations) now show a "X more" toggle to keep columns concise.
* [Added] The Date Publish column now shows post status icons and displays scheduled/published timestamps in a tooltip.
* [Fixed] Ensure wp_date() is called with the correct UTC timezone.
* [Fixed] Fixed null dereference errors when post status or post type objects are unavailable.
* [Fixed] Fixed the Comment Date column showing an incorrect value.
* [Fixed] Fixed a SQL table alias conflict.
* [Improved] Columns no longer open during column reordering.
* [Improved] Improved performance of the list screen settings file decoder.
* [Improved] Applied output escaping across templates for better security hardening.
* [Deprecated] Deprecated the HTML::more() helper method.

= 7.0.10 =
Release Date: February 16th, 2026

* [Fixed] Fixed an error in the Yoast Primary Taxonomy column.
* [Improved] String limit setting added to Media Caption column
* [Improved] Deprecated the Admin Columns helper function 'ac_helper'.
* [Removed] Removed the hook ac/column/types/pro in favor of ac/column/types.

= 7.0.9 =
Release Date: February 4th, 2026

* [Fixed] Various code optimizations and minor improvements, including stricter type handling.

= 7.0.8 =
Release Date: February 2nd, 2026

* [Fixed] Resolved an issue where original WordPress default columns were stored incorrectly.
* [Fixed] Fixed an issue where images in custom field columns did not always display correctly, depending on how they were stored.
* [Added] Added a setting for image, media, post, and user custom fields to control the number of items displayed.
* [Improved] Renamed and reordered the date format settings for custom field column to make the stored date format clearer (with an improved tooltip).

= 7.0.7 =
Release Date: January 30th, 2026

* [Fixed] Fixed an error with the "Image Sizes" setting.

= 7.0.6 =
Release Date: January 28th, 2026

* [Fixed] Prevented a fatal error when retrieving the total items count if $wp_list_table is not a WP_List_Table instance.
* [Fixed] Fixed a WordPress VIP icon font issue.
* [Improved] Optimized performance and memory usage when retrieving table views.
* [Improved] The value rendering hook now also triggers when the value is empty.

= 7.0.5 =
Release Date: January 27th, 2026

* [Fixed] Errors affecting date columns from some third-party plugins.
* [Fixed] The `EditorColumns` URI was incorrectly added to the WP_Admin_Bar object which could cause an error.
* [Improved] FileStorage performance and optimization.
* [Improved] We added 'get_post_type' and 'get_meta_type' to the CustomFieldContext class.

= 7.0.4 =
Release Date: January 21st, 2026

* [Fixed] Default WordPress and third-party columns that no longer displayed values.
* [Fixed] File Storage updater now supports older file formats.
* [Fixed] Fixed PHP 8.4 deprecation messages.
* [Fixed] User link setting did not work correctly and linked to the wrong page
* [Updated] Context class for Hooks extended with method to retrieve all settings
* [Updated] Database update: fix for possible incorrect column 'name' properties

= 7.0.3 =
Release Date: January 16th, 2026

* [Fixed] Media Library in grid view would not load properly
* [Updated] Changed namespace for formatter from `AC\Setting\Formatter` to `AC\Formatter`
* [Updated] Changed namespace for context from `AC\Setting\Context` to `AC\Column\Context`

= 7.0.2 =
Release Date: January 14th, 2026

* [Fixed] Error on the Media table when Grid view is active
* [Fixed] Error in WPML string translations

= 7.0.1 =
Release Date: January 13th, 2026

[Deprecated] Added a deprecated function `get_singular_label()` to the AC\ListScreen class
[Deprecated] Added a deprecated function `set_text()` to the AC\Table\Button class

= 7.0.0 =
Release Date: January 12th, 2026

* [Important] Version numbering jumped ahead to 7.0 to align with the Pro version.
* [Breaking] Custom columns created for versions below 7.0 are no longer compatible and must be rewritten. (See upgrade path.)
* [Breaking] Many hooks have been renamed or modified to fit the new architecture and to prevent fatal errors.
* [Improved] Completely new design and interface for the settings pages.

= 4.7.18 =
Release Date: September 22nd, 2025

* [Improved] Prepared backward compatibility for upcoming 7.0 release

= 4.7.17 =
Release Date: August 27th, 2025

* [Fixed] Security fixes (Axios update)

= 4.7.16 =
Release Date: June 17th, 2025

* [Fixed] Cache optimization

= 4.7.15 =
Release Date: June 16th, 2025

* [Fixed] Better null check for options to prevent PHP 8.3 issues
* [Improved] Small UI changes in the admin view

= 4.7.14 =
Release Date: April 30th, 2025

* [Improved] Column values with modals can now contain extra links

= 4.7.13 =
Release Date: March 19th, 2025

* [Improved] Compacter display of the Value modal of the Images column

= 4.7.12 =
Release Date: March 12th, 2025

* [Fixed] Corruption issues affecting certain languages in the core.

= 4.7.11 =
Release Date: March 3rd, 2025

* [Updated] Axios library updates because of know security issues with older version

= 4.7.10 =
Release Date: January 7th, 2025

* [Fixed] Prevent conflicting classnames for generated column names

= 4.7.9 =
Release Date: November 5th, 2024

* [Improved] Better edit term link with taxonomy as parameter

= 4.7.8 =
Release Date: October 1st, 2024

* [Improved] WordPress tested up to 6.6.2

= 4.7.7 =
Release Date: June 10th, 2024

* [Fixed] Gravity Forms column no longer relies on namespace check

= 4.7.6 =
Release Date: June 4th, 2024

* [Fixed] Custom Field column with Post as Display value could give an error

= 4.7.5 =
Release Date: April 14th, 2024

* [Fixed] SVG Support in image columns

= 4.7.4 =
Release Date: March 4th, 2024

* [Fixed] The Custom Field column setting gave an error when using the text field hook

= 4.7.3 =
Release Date: February 6th, 2024

* [Improved] Better loading of available integrations

= 4.7.2 =
Release Date: January 16th, 2024

* [Fixed] Fatal error when Restoring the settings in the Settings tab

= 4.7.1 =
Release Date: January 9th, 2024

* [Fixed] When the edit columns button was disabled, a styled container was displayed

= 4.7 =
Release Date: December 6th, 2023

* [Improved] It is now possible to choose how dates are stored in the Custom Field column
* [Improved] Webp images are not recognized for the custom field column
* [Fixed] Fixed an issue where non-existing terms could cause an error on the column settings page


= 4.6.9 =
Release Date: October 2nd, 2023

* [Fixed] URLs for Terms in Taxonomy columns were incorrect

= 4.6.8 =
Release Date: September 19th, 2023

* [Improved] Taxonomy Helper fixes and improvements

= 4.6.7 =
Release Date: August 25th, 2023

* [Fixed] Error when adding the 'Last Modified Author' column

= 4.6.6 =
Release Date: August 21st, 2023

* [Improved] Give better feedback when the settings could not be saved because of missing database tables
* [Fixed] Error on the WPML string translation page
* [Fixed] Some custom columns could give a fatal error on the settings page

= 4.6.5 =
Release Date: August 15th, 2023

* [Added] New hook to disable Admin Columns for certain list tables `ac/list_screen/is_active`
* [Added] New hook to disable Admin Columns for certain list tables based on keys `ac/list_screen/key/is_active`
* [Improved] The Preview Column now also show a preview for video and audio files
* [Fixed] The hook `ac/post_types` works again to disable Admin Columns for specific post types

= 4.6.4 =
Release Date: May 25th, 2023

* [MLA] Media Library Assistant columns were not loaded correctly

= 4.6.3 =
Release Date: April 26th, 2023

* [Fixed] Fixed the array helper that could throw an error when an array contained an object
* [Fixed] Re-added deprecated register_group function to prevent fatal errors for third-party plugins

= 4.6.2 =
Release Date: April 25th, 2023

* [Improved] Minor changes

= 4.6.1 =
Release Date: February 22nd, 2023

* [Added] Integration for Media Library Assistant

= 4.6 =
Release Date: November 30th, 2022

* [Improved] Styling for dynamic select boxes is improved
* [Improved] The date column setting has some minor UI improvements

= 4.5.5 =
Release Date: October 17th, 2022

* [Fixed] DOMDocument will use `libxml_clear_errors` to clear any possible errors
* [Fixed] The `word_count` method will always return an `int`
* [Fixed] The column separator will always go through the filter: `ac/column/separator`
* [Fixed] The link to the user profile will only be visible for users than can access that particular profile page
* [Improved] Added the atrribute tag `ReturnTypeWillChange` to be compliant with PHP 8.x

= 4.5.4 =
Release Date: September 13th, 2022

* [Fixed] JS null checks that could lead to JS errors
* [Fixed] More PHP 8.1 compatibility fixes

= 4.5.3 =
Release Date: July 4th, 2022

* [Fixed] Suppress PHP 8.1 warnings

= 4.5.2 =
Release Date: June 14th, 2022

* [Added] It is now possible to select the Website display for User related columns
* [Added] New hook to disable the column value sanitation on the table `ac/column/value/sanitize`

= 4.5.1 =
Release Date: May 16th, 2022

* [Added] New Audio player column for Media list table
* [Fixed] Prevent fatal error, when removing a non-existent column set from a Local Storage repository

= 4.5 =
Release Date: March 22nd, 2022

* [Added] New Image column for the Media list table
* [Added] The Slug column is now also available for the Media list table
* [Improved] More thorough logic for the 'Restore Settings' option.
* [Improved] Refactor of the Setup Script that runs when the plugin is installed and activated for the first time
* [Improved] The Permalink column now also shows the (upcoming) permalinks for future and draft posts

= 4.4.6 =
Release Date: February 8th, 2022

* [Fixed] Tooltip arrows were always visible in the dom behind the admin toolbar
* [Removed] Support for the Ninja Forms integration is removed because of incompatibility with the new submission list table

= 4.4.5 =
Release Date: December 6th, 2021

* [Hotfix] The ReadOnly class is renamed because it gave a fatal error in PHP 8.1

= 4.4.4 =
Release Date: November 8th, 2021

* [Improved] UI Improvements

= 4.4.3 =
Release Date: October 26th, 2021

* [Improved] The Menu Order column has no restriction anymore

= 4.4.2 =
Release Date: October 12th, 2021

* [Fixed] The setting to hide the 'Edit Columns' button did not always store the settings
* [Improved] Do not force showing notices with the hidden classes
* [Added] JetEngine integration banner added

= 4.4.1 =
Release Date: September 28th, 2021

* [Improved] Small optimizations for the Add-on page
* [Improved] Give an idea of the available pro settings

= 4.4 =
Release Date: September 21st, 2021

* [Added] Complete restyling of the Admin interface
* [Fixed] Load a default column set when the preferred column set was restricted in the meantime
* [Fixed] Gravatar display option did not work anymore since the value sanitation
* [Fixed] Possible namespace clash in Admin class

= 4.3.2 =
Release Date: June 18th, 2021

* [Added] Added Media columns: Artist and Album
* [Fixed] Column date setting gave an error when the default date format was empty

= 4.3.1 =
Release Date: June 11th, 2021

* [Added] Gravity Forms integration banner added
* [Fixed] Changing the screen options on the column settings page is not persisted
* [Fixed] Fixed data formatted labels with sanitation
* [Fixed] The column value is now sanitized

= 4.3 =
Release Date: April 29th, 2021

* [Fixed] Graceful handle corrupt column settings in order to prevent a fatal error
* [Fixed] The date setting was not working correctly a second time you store a custom date format
* [Fixed] Graceful handle corrupt column settings in order to prevent a fatal error
* [Fixed] The column label in settings will now be sanitized

= 4.2.7 =
Release Date: February 8th, 2021

* [Fixed] Some settings were not saved correctly on the admin settings page

= 4.2.6 =
Release Date: February 3rd, 2021

* [Added] User Column: First and Last Post(type)
* [Improved] It's now possible to select a post status for the Post Count column (User)

= 4.2.5 =
Release Date: December 15th, 2020

* [Fixed] The updater could give a PHP warning when there were no updates
* [Fixed] Display a correct message when an integration is not installed

= 4.2.4 =
Release Date: December 9th, 2020

* [Fixed] WordPress 5.6 compatibility issues

= 4.2.3 =
Release Date: October 6th, 2020

* [Added] Title only column added to Media list table
* [Improved] Dashicons updates for icon picker in column settings
* [Improved] New icons for action column added

= 4.2.2 =
Release Date: September 9th, 2020

* [Fixed] Slug column now applies `urldecode()`
* [Fixed] Links to documentation pages are updated

= 4.2.1 =
Release Date: August 21st, 2020

* [Fixed] JS error on table pages

= 4.2 =
Release Date: August 18th, 2020

* [Added] New api function `ac_get_columns` to retrieve the available columns for Listscreen ID
* [Added] New api function `ac_get_column` to retrieve a single column from a Listscreen based on its ID
* [Added] Screen Option to show the Listscreen ID and Listscreen Name on the Column settings page
* [Fixed] Fixed User helper that gave some PHP warnings when using in the Author column

= 4.1.9 =
Release Date: July 28th, 2020

* [Updated] Column label translation support for WPML was updated for the latest version of WPML

= 4.1.8 =
Release Date: July 21st, 2020

* [Added] New columns for the Users table: Fullname, Author Slug and Username / Login.
* [Fixed] CSS conflict on overview pages where post type is 'Modal'

= 4.1.7 =
Release Date: June 9th, 2020

* [Improved] Better Table overview recognition to prevent wrong loaded list screens
* [Improved] The comments column on the users page will now link to the (filtered) comments table
* [Improved] The post count column on the users page now has the option to select all post types
* [Fixed] Renamed the user display option 'First and Last Name' to 'Full name'
* [Fixed] The comment count column for the users page will now only count 'approved' and 'pending' comments when selecting 'All comments'

= 4.1.6 =
Release Date: April 22nd, 2020

* [Improved] You can now display the column ID and Type by opening the screen options in top right
* [Improved] The meta column will now display a zero (when available) instead of a dash
* [Improved] Improved right-to-left (RTL) support
* [Improved] First time loading columns is faster

= 4.1.5 =
Release Date: April 17th, 2020

* [Fixed] Model auto close issue

= 4.1.4 =
Release Date: April 15th, 2020

* [Added] Javascript Improvements

= 4.1.3 =
Release Date: April 10th, 2020

* [Added] New media column: Download. For easy downloading of files.

= 4.1.2 =
Release Date: April 8th, 2020

* [Fixed] PHP5.6 error when loading the settings page from the menu

= 4.1.1 =
Release Date: April 7th, 2020

* [Added] Meta Box integration support

= 4.1.0 =
Release Date: March 30th, 2020

* [Improved] The column type selector now uses select2
* [Improved] The current `list screen ID` has been added to the URL when filtering a list table, making it easier to bookmark
* [Improved] Our buttons on the list table now have the same style and colors as the default WordPress buttons.
* [Added] Tooltips added to each feature of the custom field column
* [Updated] The `Admin` class has been refactored
* [Updated] The `ListScreenRepository` class has been refactored

= 4.0.3 =
Release Date: March 11th, 2020

* [Updated] Saving column settings for the first time could result in extra database records.

= 4.0.2 =
Release Date: February 26th, 2020

* [Updated] Fallback for wp_timezone when running WordPress < 5.3
* [Updated] Languages for core version updated

= 4.0.1 =
Release Date: February 18th, 2020

* [Fixed] Fatal error in Date helper that occurs in PHP 5.6
* [Improved] Re-added the hook `ac/column/custom_field/use_text_input` to use a text field for the custom field column setting

= 4.0.0 =
Release Date: February 3rd, 2020

* [Improved] Use wp_date for column value formatters instead of date_i18n
* [Improved] Set link type for Taxonomy Columns
* [Improved] It is not necessary anymore to load the overview page once in order to recognize the default columns

= 3.4.8 =
Release Date: November 19th, 2019

* [Updated] The minimum version required to run Admin Columns is now PHP 5.6.20
* [Improved] Adapted new WordPress interface styling
* [Improved] Updated Select2 to 4.0.12 to prevent non closing drop-downs

= 3.4.7 =
Release Date: August 26th, 2019

* [Added] Option to limit the amount of taxonomies that is shown in the column with show more button.
* [Improved] Changed WordPress Date Format link
* [Improved] Show more feature that is used in several columns
* [Improved] Update Select2 version that fixes multiple selections bug

= 3.4.6 =
Release Date: August 21st, 2019

* [Improved] Search the list of available custom fields in the drop down with Select2
* [Improved] Change the label for Custom Field column Excerpt to Text
* [Improved] Don't open column settings when column refreshes
* [Improved] Setting for adding a link to related comments display

= 3.4.5 =
Release Date: July 16th, 2019

* [Fixed] Javascript errors on admin pages for specific columns
* [Fixed] Removed flickering for Pro modal
* [Fixed] Styling issue on the WordPress Customize page
* [Fixed] Re-init tooltips when a column is reloaded or added

= 3.4.4 =
Release Date: May 20th, 2019

* [Fixed] Transient class fixed. Unchanged data did not update the timestamp resulting in invalidating the transient constantly

= 3.4.3 =
Release Date: May 10th, 2019

* [Fixed] IE11 bug when adding new columns

= 3.4.2 =
Release Date: March 26th, 2019

* [Improved] Prevent possible warning in User Registered column
* [Improved] Give feedback on settings page when something went wrong
* [Improved] Setting for link Media item to download or view

= 3.4.1 =
Release Date: February 18th, 2019

* [Improved] Minor improvements in banners, missing links, etc

= 3.4 =
Release Date: January 23rd, 2019

* [Fixed] Width setting Javascript errors
* [Fixed] Show icons for Action column works again
* [Improved] Show icon labels in the Screen Options menu when necessary

= 3.3.1 =
Release Date: November 7th, 2018

* [Improved] Better external image support for Custom Field column

= 3.3 =
Release Date: October 31st, 2018

* [Improved] Extra display for Path column to show the local path of a file

= 3.2.7 =
Release Date: September 25th, 2018

* [Fixed] jQuery noConflict fixes for column settings page
* [Improved] Post title column is now always available
* [Improved] Disable autoloading for ACP options

= 3.2.6 =
Release Date: August 21th, 2018

* [Improved] Set Admin Columns Capability on role instead of User

= 3.2.5 =
Release Date: August 15th, 2018

* [Added] New JS API for column settings page. (Accessible through AC.Form)
* [Improved] Exclude system files in Autoloader

= 3.2.4 =

Release Date: July 11th, 2018

* [Fixed] Improved performance for ac_quickedit_events()

= 3.2.3 =

Release Date: June 26th, 2018

* [Fixed] ThidParty classes are now using correct camelcasing

= 3.2.2 =

Release Date: June 26th, 2018

* [Fixed] Fixed possible fatal error when running update.

= 3.2.1 =

Release Date: June 26th, 2018

* [Fixed] Assets did not load correctly. Upgrade script fix.

= 3.2 =

Release Date: June 25th, 2018

* [Removed] Support for PHP 5.2. The minimum version required to run Admin Columns is now PHP 5.3+.
* [Removed] Deprecated functions (before 3.0) will be removed after 12 months.

= 3.1.10 =

Release Date: May 1st, 2018

* [Fixed] Removed wrongly placed promotional modal

= 3.1.9 =

Release Date: May 1st, 2018

* [Added] Added promotional features to the Custom Field column

= 3.1.8 =

Release Date: April 30th, 2018

* [Improved] Styling for dismissable notice (wrong placed dismiss button)
* [Improved] Changed Full Path Label to Path

= 3.1.7 =

Release Date: March 30th, 2018

* [Fixed] Possible catchable fatal error for Author column fixed
* [Improved] Logic for File Size column for media improved

= 3.1.6 =

Release Date: March 21st, 2018

* [Improved] It's now possible to reset the Admin Columns capability by reactivating the plugin

= 3.1.5 =

Release Date: March 13th, 2018

* [Improved] Minor improvements and PHP warning fixes

= 3.1.4 =

Release Date: February 6th, 2018

[Removed] Removed 'acp/column_types' action
[Fixed] Small typo in help text
[Update] Updated languages from wordpress.org

= 3.1.3 =

Release Date: January 30th, 2018

* [Fixed] Added protected AC_ListScreen::get_object_by_id with deprecated message

= 3.1.1 =

Release Date: January 29th, 2018

* [Fixed] Fixed fatal error for custom taxonomy columns

= 3.1 =

Release Date: January 29th, 2018

* [Improved] Admin Columns Capability is now always set
* [Improved] Database update message is only visible for administartors
* [Improved] Links starting with # are now marked as internal
* [Removed] Removed support for the Link/Bookmark list table
* [Added] Added date time settings for columns that use dates

= 3.0.7 =

Release Date: December 12th, 2017

* [Added] New setting for content fields: String limit (Limit on words or characters)
* [Improved] Merged the roles column into the author column
* [Improved] Added Before/After fields for the following columns: Content, Excerpt, User Description
* [Improved] Removed deprecated Welcome page
* [Improved] Removed deprecated Upgrade page

= 3.0.6 =

Release Date: November 22nd, 2017

* [Fixed] Removed unused classes and methods

= 3.0.5 =

Release Date: November 9th, 2017

* [Added] Events Calendar integration add-on is now available from the add-ons tab
* [Added] Added before/after fields for ID column
* [Changed] Changed Ajax value interface
* [Fixed] Fixed php warning on count() for php 7.2
* [Improved] Column interface for post relations
* [Improved] Attachment count column combined with Attachment column
* [Improved] Pro banner
* [Improved] Published date shows when a post is not published
* [Improved] Custom field keys for users are now grouped by site option
* [Improved] Added the AC_Plugin class as a more DRY approach to asking meta data about a plugin
* [Improved] Redone the way user preferences are stored. Less records and better compatible with Multisite.
* [Improved] Added the option to write database updates and apply them on a new version
* [Improved] Empty character is just a method now instead of getter/setter with a filter
* [Improved] Added AC_Services class to register services to a column on the fly (DI approach)
* [Improved] Custom fields for users are now grouped per network site

= 3.0.4 =

Release Date: August 17, 2017

* [Improved] Attachment column: you can now limit the number of items being displayed
* [Improved] Only apply before/after when the value is not empty
* [Improved] EXIF Data now have added before and after fields
* [Improved] Renamed Alt column to Alternative Text
* [Improved] Renamed Before More Tag column to More Tag
* [Improved] Renamed Comment Status column to Allow Comments
* [Improved] Renamed Title without actions column to Title Only
* [Improved] Available Sizes column for media now has the option to include missing file sizes
* [Improved] Added Orientation and Keywords to EXIF data column
* [Improved] Added a tooltip to the actions column
* [Improved] Date Published column now shows a status icon when the post has not yet been published
* [Improved] Post Formats column now has the option to show an icons
* [Improved] Author column can now display the role(s) of the author
* [Improved] Added many helper methods to ac_helper()
* [Removed] Removed the "Attached to Post" column. The column has been replaced by the "Uploaded to" column in WordPress 4.0
* [Fixed] Time difference option in the date column now uses the correct GMT offset

= 3.0.3 =

Release Date: July 26th, 2017

* [Fixed] Show the type instead of an empty label in the edit columns screen
* [Fixed] Image URLs are supported again for the Custom Field column
* [Fixed] Column with a date setting did not always store it's value date format correctly
* [Improved] Post Status column can now also be displayed as an icon
* [Improved] Use multibyte function to trim strings for showing a maximum character count
* [Improved] Excerpt column now displays a text icon when the excerpt is generated from it's content
* [Added] Added a helper to display star ratings

= 3.0.2 =

Release Date: July 3rd, 2017

* [Fixed] No columns were shown when you saved your columns without visiting the overview page first
* [Improved] Character limit now strips tags before trimming
* [Improved] Translations for the core are now fetched from Glotpress

= 3.0.1 =

Release Date: June 12th, 2017

* [Improved] Clicking the toggle icons in the header of the column settings won't open the column settings anymore
* [Added] The Last Modified Author and Last Modified Date columns are now available for the Media overview
* [Improved] Fallback for the autoloader to work with lowercase files
* [Improved] User Nicename available as an option for User display
* [Fixed] Media Path now shows correct http protocol

= 3.0 =

Release Date: May 3rd, 2017

* [Refactor] Complete refactor of core code. Please read [Upgrading from v3 to v4](https://www.admincolumns.com/documentation/faq/upgrading-from-v3-to-v4/)
* [Improved] Column will now have a default empty value (dash character)
* [Improved] A column can now use an ajax callback for displaying it's contents (with AC_Column_AjaxValue interface)
* [Improved] Updated the User Interface
* [Improved] Using dashicons instead of image icons
* [Improved] Action column now always is the primary column
* [Improved] Heading structure in Admin is now correct
* [Improved] Page Template column supports post types (since WP 4.7)
* [Improved] Improved Custom Field column types
* [Added] New user column added: Author name
* [Added] New user column added: Show Toolbar
* [Added] New column for shortlink added
* [Added] Filter for suppressing admin notices
* [Added] New helpers added for array, date, formfield, icon, image, post, string ,taxonomy and user. Helpers can be accessed by using 'ac_helper()->array()'' etc
* [Added] Filter for enabling a 'clear all columns' button to the setting page. 'ac/settings/enable_clear_columns_button'
* [Added] New method for singleton for Admin Columns main class. 'ac()'
* [Fixed] Comment Response column is no longer displayed in the table when viewing "Comments On".
* [Fixed] Post Roles columns works again

= 2.5.6.4 =

Release Date: November 24th, 2016

* [Update] Updated promo banner

= 2.5.6.3 =

Release Date: July 6th, 2016

* [Added] Filter for suppressing admin notices, use: `add_filter( 'cac/suppress_site_wide_notices', '__return_true' )`
* [Fixed] Only enable our plugin for taxonomies that are available in the admin

= 2.5.6.2 =

Release Date: April 29th, 2016

* [Fixed] Hotfix cleanup.

= 2.5.6.1 =

Release Date: April 29th, 2016

* [Fixed] Hotfix. Version 2.5.6 did not display the stored column settings, which has been hotfixed.

= 2.5.6 =

Release Date: April 29th, 2016

* [Fixed] Row actions are now only added to the first column when the primary column isn't available
* [Fixed] The true/false field option for the Custom Field column will display a cross icon when the value is empty or zero

= 2.5.5 =

Release Date: April 7th, 2016

* [Improved] Columns with empty values will now display a dash symbol
* [Fixed] Excerpt column: The label "Excerpt from content" will now only display when the post has content

= 2.5.4.1 =

Release Date: March 29th, 2016

* [Fixed] Columns can be marked as original, in case the default has been replaced by an ac-column

= 2.5.4 =

Release Date: March 29th, 2016

* [Fixed] Edit columns button will be positioned correctly on the Trash page
* [Fixed] Obsolete images have been removed
* [Fixed] Roles names column will display the available translation
* [Fixed] Content type label (next to store settings) is displayed correctly when translations are loaded
* [Fixed] After using quick edit the column values will be populated correctly again
* [Fixed] WPML will correctly display it's "+" icons again. Make sure to add/remove the column.
* [Improved Messages on the settings screen (when using restore columns) are now displayed directly above the columns
* [Improved] Excerpt column will now display a label "excerpt from content" when the actual excerpt field is empty
* [Added] New filter 'cac/get_posts/post_status' has been added to change post_status when using `CPAC_Storage_model::get_posts()``

= 2.5.3 =

Release Date: March 18th, 2016

* [Fixed] Fixes an issue with some 3rd party column not being visible

= 2.5.2 =

Release Date: March 16th, 2016

* [Fixed] Fixes an issue where some of the WordPress default columns did not display correctly

= 2.5.1 =

Release Date: March 16th, 2016

* [Fixed] Column settings are displayed correctly now

= 2.5 =

Release Date: March 16th, 2016

* [Updated] The main menu has been replaced with a single dropdown menu
* [Updated] Support for 3rd party columns from other themes or plugins has been greatly improved
* [Added] Added a new column: Comment status
* [Added] The width of default columns are now displayed
* [Improved] Improved JS loading
* [Improved] Replaced FamFam icons with dashicons
* [Improved] Column groups now uses full text strings
* [Fixed] Media actions columns no longer throws an error when the list table is not found
* [Fixed] Height and width columns for media will be appended with 'px'
* [Fixed] Most zero values will now be displayed as a dash
* [Fixed] Estimate time reading column will no longer display leading zero's on seconds
* [Fixed] Shortcodes column now display each shortcode name used once, with a counter
* [Fixed] Columns with an imagesize selection setting will have the a default option selected
* [Removed] Removed loading columns through 'load-edit.php' filter
* [Added] Column settings are now stored without the need to refresh the page (through ajax)
* [Added] You can disable the columns delete confirmation through this filter `ac/delete_confirmation`
* [Improved] The width of default columns (e.g. date and author) are now displayed
* [Improved] bbPress columns are loaded correctly
* [Updated] All languages files have been updated from [Transifex](https://www.transifex.com/codepress/admin-columns)
*
* [Developer notes]
* [Refactor] CPAC now is a singleton class
* [Refactor] Storage model has been refactored but should stay backwards compatible when extending
* [Refactor] CPAC_Column $storage_model variable has become private. Use CAPC_Column::get_storage_model() method.
* [Refactor] Storagemodel can now be extended to have column layouts/sets
* [Refactor:added] CPAC_Column::is_default() method added
* [Refactor:added] CPAC_Column::is_registered() method added
* [Refactor:added] CPAC_Column::get_empty_char() method added
* [Refactor:added] CPAC_Column_Storagemodel::get_column_types() method added
* [Refactor:added] CPAC_Column_Storagemodel::get_default_colummn_types() method added
* [Refactor:added] CPAC_Column_Storagemodel::get_column_type() method added
* [Refactor:added] CPAC_Column_Storagemodel::create_column() method added
* [Refactor:added] CPAC_Column_Storagemodel::flush_columns() method added
* [Refactor:added] CPAC_Column_Storagemodel::get_restore_link() method added
* [Refactor:changed] CPAC_Column_Storagemodel::get_columns()
* [Refactor:removed] CPAC_Column_Storagemodel::get_default_registered_columns() method removed
* [Refactor:removed] CPAC_Column_Storagemodel::get_custom_registered_columns() method removed
* [Refactor:removed] CPAC_Column_Storagemodel::set_stored_columns() method removed
* [Refactor:removed] CPAC_Column_Storagemodel::get_grouped_column_types() method removed
* [Refactor:removed] CPAC_Column_Storagemodel::set_columns() method removed
* [Refactor:removed] CPAC_Column_Storagemodel::set_stored_columns() method removed

= 2.4.10 =

Release Date: February 9th, 2016

* [Fixed] Data:image sources for images are supported in labels
* [Fixed] Cloned columns no longer has the wrong options when stored
* [Added] Added an extra update button to the bottom of the settings page
* [Fixed] Created deprecated function for is_columns_screen()
* [Fixed] The method get_current_storage_model returns the first occurrence instead of running the entire array of storage modals
* [Fixed] The storage_model object should have the init_manage_columns method to properly load the columns heading and values
* [Fixed] The storage_model object can now be used within sub pages

= 2.4.9 =

Release Date: Januari 21th, 2016

* [Added] Display format Url added to Custom Fields
* [Added] Allow the use of before and after fields for all columns. Use `add_filter( 'cac/column/properties/use_before_after', '__return_true' )`.
* [Fixed] Removed Field Groups from post types
* [Fixed] Removed additional avatars from the comments view
* [Added] Added the option to replace the Custom Field select menu with a text input. Use `add_filter( 'cac/column/meta/use_text_input', '__return_true' )`.

= 2.4.8 =

Release Date: November 26th, 2016

* [Updated] Hidden custom fields are now grouped as "Hidden" in the dropdown list
* [Updated] Minor performance improvements
* [Fixed] New Yoast plugin compatibility

= 2.4.7 =

Release Date: October 13th, 2015

* [Added] Comment Post column added
* [Update] User Actions columns extends CPAC_Actions object
* [Update] PHP export columns no longer uses global
* [Added] Added "Link To" selection field for the author column
* [Fixed] Date and Title column are labeled as Default column for posts
* [Fixed] WPML columns will display the correct flag on the overview when switching language

= 2.4.6 =

Release Date: August 13th, 2015

* [Fixed] Page Order column is now available on all supported posttypes
* [Fixed] Time reading columns shows "-" instead of zero when there is no content

= 2.4.5 =

Release Date: July 1st, 2015

* [Fixed] Estimate Time Reading column will not display a value when there is no content
* [Fixed] When updating there was a possbile change on a "Cannot modify header information"

= 2.4.4 =

Release Date: June 29th, 2015

* [Fixed] Support for custom post statuses
* [Fixed] Page Order column is now available on all hierarchical post types
* [Added] WordPress Default columns has it's own menu group
* [Added] Columns set by plugins has it's own menu group
* [Added] Custom Field column has it's own menu group
* [Update] Updated all languages from Transifex

= 2.4.3 =

Release Date: May 4th, 2015

* [Fixed] Comment bubble icon is fixed

= 2.4.2 =

Release Date: April 29th, 2015

* [Added] Added new comment columns: type, author and user.
* [Added] Width indicator text is darker
* [Fixed] Remove ' symbol from column label, because it causing issues when sorting
* [Fixed] Review notice will only show on admin columns page and with an improved hide button

= 2.4.1 =

Release Date: April 16th, 2015

* [Added] Added the development filter 'cac/menu_types' to add custom menu types
* [Added] Added public method set_menu_type() to the storage model
* [Added] Added review notice
* [Updated] Po file will exclude Actions columns which contain only native WordPress translatable strings
* [Updated] Updated all languages from Transifex
* [Updated] Pro addon notice text has been updated

= 2.4 =

Release Date: March 26th, 2015

* [Added] Added content column for post(types).
* [Added] Added the column shortcodes, which will display any used shortcodes in your post's content
* [Added] Column width has a text field to enter the width
* [Added] Added a message for when a custom field is empty
* [Added] Column width can be set to pixels or percentages
* [Added] Added a width indicator to the column settings header
* [Added] Added a singular label to all storage_models

= 2.3.4 =

Release Date: March 3rd, 2015

* [Added] A column can have it's own JS/CSS files by using the CPAC_Column::scripts() method
* [Added] Column Name can be found by hovering over the "Type" label in your column settings
* [Fixed] Fixed a quick edit issue for comments
* [Fixed] is_field() method of the custom field column works as intended

= 2.3.3 =

Release Date: Januari 30th, 2015

* [Added] Added user column: Visual Editor
* [Added] Added post column: Estimated Reading Time
* [Added] Added method CPAC_Column::get_sorting_value()
* [Added] Added user column display name
* [Fixed] fixed wordcount issue with PHP 5.3 or lower
* [Fixed] Fixed media actions column

= 2.3.2 =

Release Date: December 20th, 2014

* [Updated] All translations from [Transifex](https://www.transifex.com/projects/p/admin-columns)
* [Updated] 100% Spanish translation thanks to Carlos
* [Updated] Custom Fields will now display an icon for file attachments in the correct specified dimensions
* [Added] Public methods to CPAC_Column; get_type(), is_type(), is_field_type(), get_field_type()
* [Added] Custom Field type "Terms"
* [Added] Added posts column "Last Modified Author"
* [Improced] Improved loading on columns settings screen when using many custom field columns
* [Fixed] Only display filtering icon on supported Custom Field types
* [Fixed] Remove deregister of qtip2 scripts.
* [Fixed] PHP export now works as intended
* [Fixed] Compatibility issue with Ninja Forms where submission would not be displayed

= 2.3.1 =

Release Date: December 5th, 2014

* [Fixed] Image Uploader failing inside nested Settings pod when using the Pods plugin

= 2.3 =

Release Date: December 5th, 2014

* [Added] Added filter "cac/column/meta/is_editable" for making all custom fields editable
* [Added] CPAC_Settings::get_settings_page() to retrieve setting_page slug
* [Added] Caching method for CPAC_Storage_Model
* [Fixed] Field PHP Export was not working when included to a site
* [Updated] Improved word count on post content

= 2.2.9 =

Release Date: October 31th, 2014

* [Added] Added filter "cac/column/actions/action_links" for modifying the action column links
* [Fixed] WordPress SEO by Yoast columns were not added to the dropdown menu when using the 'add column' button.
* [Fixed] Fix "restore" action link in post actions column
* [Added] Persian (fa_IR) language, thanks to kamel kimiaei.
* [Added] Partially Italian (it_IT) language, thanks to francesco.

= 2.2.8.1 =

Release Date: October 2nd, 2014

* [Fixed] Quick Edit will display columns correctly after saving

= 2.2.8 =

Release Date: October 1st, 2014

* [Fixed] support for WPML columns

= 2.2.7 =

Release Date: September 24th, 2014

* [Added] Added date format option for "Last modified" column
* [Updated] Change references from Codepress Admin Columns to Admin Columns
* [Updated] General code clean-up
* [Improved] Documentation improvements

= 2.2.6.4 =

Release Date: August 28th, 2014

* [Updated] Portuguese (Brazil) language - thanks to André Mácola Machado

= 2.2.6.3 =

Release Date: August 22nd, 2014

* [Updated] Enable 3rd party plugins to set storage_models outside the post listings screens
* [Updated] Spanish language updated - thanks to Andrew Kurtis

= 2.2.6.2 =

Release Date: August 29th, 2014

* [Fixed] Fixed “Illegal offset” warning for unset option on edit screen

= 2.2.6.1 =

Release Date: August 15th, 2014

* [Fixed] Fixed dependency on PHP 5.3+ in actions column

= 2.2.6 =

Release Date: August 15th, 2014

* [Changed] Display "edit columns" button by default
* [Improved] Improved memory usage by only loading columns for the current screen
* [Changed] Removed floatHead library
* [Updated] Only display ACF placeholder with ACF active.

= 2.2.5.1 =

Release Date: August 13th, 2014

* [Fixed] Unavailable included JS-file on editing pages

= 2.2.5 =

Release Date: August 1th, 2014

* [Fixed] Error with actions icons.
* [Added] New Column! Used-by-menu column; will display in which menu a post/page/taxonomy is being used. With support for column sorting in posts.
* [Fixed] Only ajax calls from cpac will trigger the loading of storage_models now.

= 2.2.4 =

Release Date: July 11th, 2014

* [Added] New filter `cpac/storage_model/columns_default` for filtering the columns that should be loaded if there are no stored columns
* [Added] Option (column property `hidden`) to hide column types from the dropdown list of column types
* [Added] Use tooltip library for enhanced column value representation
* [Added] Box for direct feedback on Admin Columns settings screen
* [Added] Added method for retrieving current storage model (for overview pages such as the posts and page overviews)
* [Added] Added WooCommerce add-on to list of add-ons
* [Updated] Hide ACF5 field group post type from list of post types columns settings
* [Updated] Updated structure of scripts and styles and way of enqueuing them

= 2.2.3 =

Release Date: July 1th, 2014

* [Added] Added Path column for post(types). Uses the permalink without the home url.

= 2.2.2 =

Release Date: June 27th, 2014

* [Fixed] Custom Fields for Media Library did not work.
* [Fixed] Column type dropdown displayed an empty item.

= 2.2.1.1 =

Release Date: June 23th, 2014

* [Fixed] Fixed issue with Posts 2 Posts (and other third party plugins) columns not being displayed because of  hooking into late actions on post pages

= 2.2.1 =

Release Date: June 17th, 2014

* [Added] Option to make permalink in permalink column clickable (linking to post)
* [Added] Direct support box in Admin Columns settings screen sidebar
* [Added] Added filter to suppress pro add-on notice (`cpac/suppress_proaddon_notice`)
* [Updated] Minor adjustments for WooCommerce and other third party plugin support, setting up the post object in post columns
* [Updated] Minor update in default column retrieval for improved 3rd party plugin support
* [Fixed] Fixed problem with column groups incorrectly handling default 3rd party columns
* [Updated] Updated translations from Transifex

= 2.2 =

Release Date: May 28th, 2014

* [Added] AJAX refreshing of columns in columns settings screen
* [Added] Support for managing columns via code instead of UI
* [Added] Additional integration possibilities for add-ons
* [Added] Add-ons tab for managing Admin Columns add-ons
* [Added] Extended grouping support for column types to support add-ons
* [Updated] Additional documentation was added to filters and actions
* [Updated] Updated languages (from transfix)
* [Updated] All custom fields (including hidden fields) now always displayed in custom field dropdown
* [Fixed] Third party plugin integration functions are now prefixed, thereby adhering to coding standards

= 2.1.5 =

Release Date: May 4th, 2014

* [Updated] Compatibility with add-ons

= 2.1.4 =

Release Date: March 21st, 2014

* [Added] CSS now is compiled with LESS
* [Updated] Menu is split between posttypes and media, comments and users.
* [Fixed] WordPress SEO 1.5.2 columns support
* [Updated] Refactored JS and cleanup
* [Updated] Registered Date column now uses GMT date
* [Updated] Display author as column has fallback to display_name
* [Updated] Added conditional checks for featured-image-, ping-status and comment-status-columns
* [Fixed] Fixed warning for available-sizes column
* [Updated] Column labels can no longer contain ":" characters

= 2.1.3 =

Release Date: March 12th, 2014

* [Updated] Undo changes from 2.1.2, will be in the next major release
* [Fixed] Moved assignment of capabilities to plugin activation hook
* [Fixed] Hook into manage_columns filters later to prevent overwriting from other plugins
* [Fixed] Filters for column_path

= 2.1.2 =

Release Date: March 11th, 2014

[Updated] Added ajax check and improved loading.
[Updated] Menu is split between posttypes and media, comments and users.
[Added] WooCommerce 2.1 columns support
[Fixed] Filters for column_path

= 2.1.1 =

Release Date: December 18th, 2013

* [Updated] Added page check to posttype edit screens
* [Updated] taxonomy raw_value outputs term_ids
* [Added] Taxnomy support for Media
* [Fixed] In some cases custom field column would trigger a php warning on post titles type

= 2.1 =

Release Date: November 14th, 2013

* [Updated] Improved overall performance for script loading and lowered memory usage

= 2.0.3 =

Release Date: November 12th, 2013

* [Updated] Danish translation - thanks to iosoftgame
* [Updated] Spanish translation - thanks to redywebs
* [Added] Chinese translation - thanks to Ã¥â‚¬Â¡Ã¨ÂÅ’
* [Fixed] Solved bug with before and after field
* [Added] Fieldtype "Counter" to Custom Fields
* [Added] Column type ID when you hover over the column type label
* [Added] Support for raw values
* [Updated] Changed filter for cac/column/value. See: https://www.admincolumns.com/documentation/.

= 2.0.2 =

Release Date: August 14th, 2013

* [Fixed] Performance issue
* [Added] Option to show/hide edit-button
* [Fixed] Bug before/after-field not saving correctly
* [Fixed] Bug with storage model trying to load repository (svn) files
* [Fixed] Bug with tooltip
* [Fixed] Bug with duplicate message in javascript
* [Added] RTL support - thanks to Hassan
* [Added] Arabic translation - thanks to Hassan

= 2.0.1 =

Release Date: August 9th, 2013

* [Fixed] Bug which caused columns to not include properly

= 2.0 =

Release Date: August 9th, 2013

* [Notice] Database needs an update, make sure to backup first
* [Changed] Sortorder licence is now an Pro Add-on
* [Changed] Some filters and hooks have been changed, see online documentation
* [Updated] Extensive refactoring of the code with improved API
* [Updated] New UI with responsive design
* [Updated] Hooks and filters has been replaced with one that follows the correct naming conventions with underscores.
* [Updated] Columns menu will only display posttypes which have show_ui set to true
* [Updated] Admin Columns will have a tabbed settings panel
* [Added] Added settings page.
* [Added] Added import/export capabilities
* [Added] Column: Available_Sizes for media
* [Added] Default sorting for Users, Comments, Media
* [Added] Column: Parent for posts
* [Added] Set your own excerpt length per column
* [Added] Set your own image size per column
* [Added] Restore settings per type
* [Added] Column support for WooCommerce
* [Added] Support for image headings by other plugin columns
* [Added] Added edit/view-button for easy switching between overview screen and admin columns
* [Added] Added capability manage_admin_columns to control which roles can set columns
* [Removed] Column: Actions for comments
* [Removed] Calling get_column_headers() interfered with storing columns
* [Fixed] Issue: Sorting was not working when label contains the ':' character
* [Addon] Added Pro add-on
* [Addon] Pro add-on includes Sorting, Filtering and Import/Export

= 1.4.9 =

Release Date: December 13th, 2012

* fixed bug: thirdparty columns that were previous loaded through load-edit.php will now use do_action( 'cpac-get-default-columns-{$type}' )

= 1.4.8 =

Release Date: December 12th, 2012

* [Fixed] Issue: removed acf posttype placed by Advaced Custom Fields from settings menu
* [Fixed] Issue: removed bbPress posttypes topic, forum and reply from admin columns settings menu
* [Fixed] Issue: license key could not activate properly

= 1.4.7 =

Release Date: December 11th, 2012

* [Upated] Ready for WP 3.5
* [Added] support for custom fields for Media
* [Added] color to the custom field types
* [Fixed] default sorting for Post(types) and Media
* [Fixed] problem with different date formats in custom fields. all dates will parsed by strtotime() now.
* [Fixed] Issue: which could trigger a conflict when saving the setting on other plugins
* [Fixed] Issue: when returning an admin class atrribute
* [Improved] Perfomance on post count on user overview screen

= 1.4.6.4 =

Release Date: September 21st, 2012

* [Added] 'before more tag' column, which will show the content which is placed before the more-tag
* [Fixed] Issue: file images will now also be displayed when they can not be resized.
* [Fixed] Issue: the checkbox disappeared when resetting columns and resaving them.

= 1.4.6.3 =

Release Date: September 19st, 2012

* [Added] new custom field type: User by User ID
* [Added] values to filter 'cpac_get_column_value_custom_field' for better control of the output
* [Added] an example for above filter to FAQ section
* [Fixed] Issue: where trash posts did not show with the sorting addon activated

= 1.4.6.2 =

Release Date: August 21st, 2012

* [Fixed] Issue: with a static function which could cause an error in some cases
* [Added] filter to enable taxonomy filtering. add this to your functions.php to enable taxonomy filtering: `add_filter( 'cpac-remove-filtering-columns', '__return_false' );`

= 1.4.6.1 =

Release Date: August 20th, 2012

* [Fixed] Issue: for possible warning when using Custompress ( props to scottsalisbury for the fix! )
* [Fixed] Issue: for sorting by postcount for users
* [Added] 'Display Author As' column for post(types)
* [Added] sorting support for 'Display Author As' column

= 1.4.6 =

Release Date: August 14th, 2012

* [Added] german language ( thanks to Uli )
* [Added] danish language ( thanks to Morten Dalgaard Johansen )
* [Added] filter for setting thumbnail size ( see FAQ on how to use it )
* [Added] support for hidden custom fields ( see FAQ on how to enable this )
* [Fixed] Issue: for WordPress SEO by Yoast Columns

= 1.4.5.1 =

Release Date: June 27th, 2012

* [Removed] taxonomy filtering ( will implement show/hide option )

= 1.4.5 =

Release Date: June 27th, 2012

* [Added] french language ( thanks to Alexandre Girard )
* [Added] filtering by taxonomy ( only displays when column is used )
* [Added] compatibility with woocommerce
* [Added] Actions column for Media (delete, view etc.)
* [Added] Actions column for Link (delete, view etc.)
* [Added] Actions column for Comments (delete, view etc.)
* [Added] Wordcount column for Comments
* [Added] Filesize column for Media ( supports sorting )
* [Added] default sorting for posts ( remembers your last sorting, only with addon )
* [Added] default sorting for media ( remembers your last sorting, only with addon )
* [Added] filters to the result output
* [Fixed] Issue: value media meta column ID
* [Fixed] Issue: with sorting users by postcount

= 1.4.4 =

Release Date: May 1st, 2012

* [Added] posts columns Last Modified and Comment count
* [Added] media columns for EXIF and IPTC image data
* [Added] custom fields columns to the Media Library
* [Improved] given column values it's own class
* [Added] bug fix for sorting bookmarks/links
* [Fixed] possible php warning

= 1.4.3 =

Release Date: April 13th, 2012

* [Removed] taxonomy filtering

= 1.4.2 =

Release Date: April 11th, 2012

* [Fixed] Issue: for unexpected output in the column value
* [Fixed] Issue: for better 3rd party plugin support
* [Added] column for Comment status
* [Added] column for Ping/Trackback status
* [Added] column for Posts Actions (delete, view etc.)
* [Added] column for Users Actions (delete, view etc.)
* [Added] sorting taxonomies ( only on first one )
* [Fixed] Issue: fix for sorting
* [Added] taxonomy filtering

= 1.4.1 =

Release Date: March 27th, 2012

* [Added] polish translation, thanks to Bartosz.
* [Upated] the license key validation proces to be complaint with WP rules
* [Removed] non-breaking-space-character from column output

= 1.4 =

Release Date: March 23rd, 2012

* [Added] support for comment columns
* [Added] support for link columns
* [Added] links to taxonomies
* [Added] sorting user custom fields
* [Added] sorting to links columns
* [Added] user columns so you can see how many articles an author has published of a certain post type
* [Added] Textual help
* [Added] the option to specify column width
* [Added] role column to all posts screens
* [Added] posts status column to all posts screens
* [Added] image path to media library
* [Added] added apply_filters('cpac-get-post-types', $post_types) to filter out certain post types
* [Added] option to enter license key for activating sorting on ALL columns
* [Fixed] Issue: a php5 warning
* [Fixed] Issue: a conflict with the Co-Authors plugin

= 1.3 =

Release Date: December 19th, 2011

* [Added] support for Media columns
* [Added] Media columns: filename, width, height, dimensions, description, alt, caption and mime-type
* [Added] date type to posts custom fields
* [Added] title type to posts custom fields
* [Improved] sorting has changed. when sorting; only results are shown which contain a value
* [Improved] str_word_count is used for excerpts

= 1.2.1 =

Release Date: December 9th, 2011

* [Added] word count sorting
* [Added] attachment count sorting
* [Added] template name sorting
* [Improved] styling changes
* [Fixed] Issue: with sorting by slug
* [Fixed] Issue: with sorting by attachment

= 1.2 =

Release Date: December 6th, 2011

* [Added] support for third party plugins
* [Added] user custom fields
* [Added] extra image check
* [Fixed] Issue: with javascript (jquery) enqueue

= 1.1.3 =

Release Date: December 6th, 2011

* [Fixed] Issue: for WP3.3beta
* [Added] Dutch translation
* [Fixed] Issue: path separator for require_once
* [Added] word count column

= 1.1 =

Release Date: November 28th, 2011

* [Added] User Columns.
* [Added] before / after text for custom fields
* [Added] custom field type 'Numeric'.
* [Added] custom field sortables.
* [Fixed] domain path
* [Fixed] settings link

= 1.0 =

Release Date: November 27th, 2011

* Initial release.